/**
 * Copyright (c) Members of the EGEE Collaboration. 2004-2010. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 *
 *  Authors:
 *  2009-
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     Mischa Sall\'e <msalle@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *     <grid-mw-security@nikhef.nl> 
 *
 *  2007-2009
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *
 *  2003-2007
 *     Martijn Steenbakkers <martijn@nikhef.nl>
 *     Gerben Venekamp <venekamp@nikhef.nl>
 *     Oscar Koeroo <okoeroo@nikhef.nl>
 *     David Groep <davidg@nikhef.nl>
 *     NIKHEF Amsterdam, the Netherlands
 *
 */


/*!
    \file   lcmaps_gss_assist_gridmap.h
    \brief  This interface is equal to the gss_assist_gridmap interface, but uses
            the LCMAPS libraries in the back.

    \author Martijn Steenbakkers for the EU DataGrid.

    This header contains the following LCMAPS library functions:
    -# globus_gss_assist_gridmap
        Legacy interface
    \ingroup LcmapsInterface
*/

#ifndef LCMAPS_GSS_ASSIST_GRIDMAP_H
#define LCMAPS_GSS_ASSIST_GRIDMAP_H

#ifndef LCMAPS_GSS_ASSIST_GRIDMAP_C
#   define LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS extern
#else
#   define LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS
#endif

/******************************************************************************
 *                 Module definition
 *****************************************************************************/

LCMAPS_GSS_ASSIST_GRIDMAP_C_STORAGE_CLASS int
globus_gss_assist_gridmap(
    char *   globusidp,
    char **  useridp
);

#endif /* LCMAPS_GSS_ASSIST_GRIDMAP_H */

/******************************************************************************
CVS Information:
    $Source: /srv/home/dennisvd/svn/mw-security/lcmaps/interface/lcmaps_gss_assist_gridmap.h,v $
    $Date: 2010-12-16 16:29:48 +0100 (Thu, 16 Dec 2010) $
    $Revision: 11755 $
    $Author: dennisvd $
******************************************************************************/
